/*
 * KCall
 * Copyright (C) 2005-2006 by basyskom GmbH
 *  @author basysKom GmbH <info@basyskom.de>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "kcall.h"

#include <kuniqueapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kwindowsystem.h>
#include <kstartupinfo.h>
#include <kdebug.h>

static const char version[] = "0.7";

static KCmdLineOptions applet_options()
{
    KCmdLineOptions options;
    // options.add("dial <number>", I18N_NOOP( "Init a call to the Number" ), 0);
    return options;
}

int main(int argc, char **argv)
{
    KAboutData about( "kcallapplet", 0, ki18n( "kcallapplet" ), version,
                      ki18n( "The KCall phone applet"),
                      KAboutData::License_GPL_V2,
                      ki18n( "(c) 2005, Mike Hauth" ) );

    about.addAuthor( ki18n("Eva Brucherseifer"), ki18n("Developer"), "eva.brucherseifer@basyskom.de" );
    about.addAuthor( ki18n("Mike Hauth"), ki18n("Initial version"), "mike@mike-hauth.de" );
    about.addAuthor( ki18n("Tobias Hunger"), ki18n("Developer"), "tobias.hunger@basyskom.de" );

    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( applet_options() );
    KUniqueApplication::addCmdLineOptions();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
    // QString dialOptionArg = args->getOption("dial");

    KUniqueApplication app;

    KCall kcall;
    // KWin::setSystemTrayWindowFor(kcall.winId(), 0);
    kcall.show();

    // app.setTopWidget(&kcall);
    KStartupInfo::appStarted();

    return app.exec();
}
