/*
 * Copyright (C) 2007 by basyskom GmbH
 *  @author Eva Brucherseifer <info@basyskom.de>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef KCALL_PART_H
#define KCALL_PART_H

#include <kparts/event.h>
#include <kparts/factory.h>
#include <kparts/part.h>

class KAboutData;

class KCallCore;

class KCallPart: public KParts::ReadOnlyPart
{
    Q_OBJECT

    public:
        KCallPart( QWidget *parentWidget, QObject *parent, const QStringList& );
        virtual ~KCallPart();

        static KAboutData *createAboutData();

    public slots:
        virtual void save();
        virtual void exit();
        virtual bool newCall( const QString &number );
        virtual bool openURL( const KUrl &url );
        virtual bool handleCommandLine();

    protected:
        virtual bool openFile();
        virtual void guiActivateEvent( KParts::GUIActivateEvent* );

    private:
        KCallCore *mCore;
};

#endif
