/***************************************************************************
                          knowitlink.cpp  -  description
                             -------------------
    begin                : pi� cze 27 2003
    copyright            : (C) 2003 by Micha� Rudolf
    email                : mrudolf@kdewebdev.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "knowitlink.h"
#include "notes.h"

#include <qtoolbutton.h>
#include <qlabel.h>
#include <qlayout.h>
#include <q3vbox.h>
#include <q3hbox.h>

#include <kfiledialog.h>
#include <kglobal.h>
#include <kiconloader.h>
#include <klocale.h>
#include <kcombobox.h>
#include <klineedit.h>

KnowitLinkDialog::KnowitLinkDialog(QWidget* parent, Qt::WindowFlags flags)
   : KDialog(parent, flags)
{
   setWindowTitle(i18n("Modify link"));
   setButtons(Ok|Cancel);
   setDefaultButton(Ok);
   QWidget* main = new QWidget;
   QVBoxLayout* layout = new QVBoxLayout(main);
   setMainWidget(main);
   Q3HBox* typeBox = new Q3HBox;
   layout->addWidget(typeBox);
   new QLabel(i18n("Referenced item:"), typeBox);
   linkType = new KComboBox(typeBox);
   linkType->setObjectName("LinkType");
   linkType->addItem(i18n("File or URL"));
   linkType->addItem(i18n("KnowIt note"));

   layout->addItem(new QSpacerItem(0, 5));
   Q3HBox* editBox = new Q3HBox;
   layout->addWidget(editBox);
   linkValue = new KLineEdit(editBox);
   linkValue->setMinimumWidth(300);
   linkValue->setObjectName("Link text");
   browse = new QToolButton(editBox);
   browse->setObjectName("Browse");
   browse->setIcon(KIcon("fileopen"));

   layout->addItem(new QSpacerItem(0, 5));
   layout->addWidget(new QLabel(i18n("Link description:")));
   layout->addWidget(linkDescription = new KLineEdit);
   linkDescription->setObjectName("Link description");
   connect(browse, SIGNAL(clicked()), this, SLOT(slotBrowse()));
   connect(linkType, SIGNAL(activated(int)), this, SLOT(slotTypeChanged(int)));
}

KnowitLinkDialog::~KnowitLinkDialog()
{
}

bool KnowitLinkDialog::modifyLink(TNoteLink& link)
{
   linkDescription->setText(link.description);
   linkType->setCurrentIndex(link.isLocalReference());
   if (link.isLocalReference())
      linkValue->setText(link.link.remove(0, 9));
   else
      linkValue->setText(link.link);
   slotTypeChanged(linkType->currentIndex());
   if (exec() == QDialog::Accepted) {
      link.description = linkDescription->text();
      if (linkType->currentIndex())
         link.link = "knowit://" + linkValue->text();
      else
         link.link = linkValue->text();
      return true;
   }
   else
      return false;
}

void KnowitLinkDialog::slotBrowse()
{
   KUrl url=KFileDialog::getOpenUrl(KUrl(),
      i18n("*|All files"), this, i18n("Choose link..."));
   if (!url.isEmpty()) {
      linkValue->setText(url.url());
      linkType->setCurrentItem(0);
      }
}

void KnowitLinkDialog::slotTypeChanged(int index)
{
   browse->setEnabled(!index);
}

