/***************************************************************************
                          knowitlinks.cpp  -  description
                             -------------------
    begin                : nie gru 21 2003
    copyright            : (C) 2003 by Micha� Rudolf
    email                : mrudolf@kdewebdev.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "knowitlinks.h"
#include <qevent.h>
#include <k3urldrag.h>
#include <KDebug>

KnowitLinks::KnowitLinks(QWidget* parent, const char* name)
   : K3ListBox(parent, name)
{
   setAcceptDrops(true);
}

void KnowitLinks::dragEnterEvent(QDragEnterEvent* event)
{
   if (K3URLDrag::canDecode(event))
      event->accept();
}

void KnowitLinks::dropEvent(QDropEvent* event)
{
   if (K3URLDrag::canDecode(event)) {
      KUrl::List L;
      K3URLDrag::decode(event, L);
      for (uint i=0; i<L.count(); i++)
         emit textDropped(L[i].url(), L.count() > 1);
   }
}

void KnowitLinks::keyPressEvent(QKeyEvent* e)
{
#ifdef KDE4PORTING_TEMPORARILY_REMOVED
   if (currentItem() != -1 && (e->key() == Qt::Key_Enter || e->key() == Qt::Key_Return)) {
      e->ignore();
      if ((e->state() | Qt::NoButton | Qt::KeypadModifier) ==
         (Qt::NoButton | Qt::KeypadModifier)) emit linkOpen();
      else emit linkOpenWith();
      }
   else if (currentItem() != -1 && e->key() == Qt::Key_Delete) {
      e->ignore();
      emit linkRemove();
      }
   else
#else
   kWarning() << "Code temporarily removed in KnowitLinks::keyPressEvent";
#endif
   K3ListBox::keyPressEvent(e);
}
