/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSS_TREENODE_H
#define KRSS_TREENODE_H

#include "feed.h"

namespace KRss {

class TreeNode
{

public:

    enum Tier {
        RootNode,
        TagNode,
        FeedNode
    };

public:

    //TODO: Feed* -> const Feed*
    explicit TreeNode( TreeNode::Tier tier, Feed *feed, TreeNode *parent );
    ~TreeNode();

    void appendChild( TreeNode *child );
    void removeChildAt( int row );
    void removeChildren();
    int count() const;
    TreeNode* childAt( int row ) const;
    int childRow( TreeNode *child ) const;
    QList<TreeNode*> children() const;
    TreeNode* parent() const;
    Feed* feed() const;
    TreeNode::Tier tier() const;
    int row() const;
    void dump( const QString &indent = QString() ) const;

private:

    TreeNode::Tier m_tier;
    Feed *m_feed;
    TreeNode *m_parent;
    QList<TreeNode*> m_children;
};

} // namespace KRss

#endif // KRSS_TREENODE_H
