/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSS_EXPORTOPMLJOB_H
#define KRSS_EXPORTOPMLJOB_H

#include "libkrss/feedcollection.h"

#include <KJob>
#include <kio/job.h>

class ExportOpmlJobPrivate;

class ExportOpmlJob : public KJob
{
    Q_OBJECT

public:

    enum Error {
        OpmlWriteFailed = KJob::UserDefinedError
    };

public:

    explicit ExportOpmlJob( const QString &filepath, const QList<KRss::FeedCollection> &feeds, QObject *parent = 0 );
    ~ExportOpmlJob();

    void start();
    QString errorString() const;

private Q_SLOTS:

    void doStart();
    void slotOpmlOpen( KIO::Job *job );
    void slotWritten( KIO::Job *job, KIO::filesize_t written );
    void slotResult( KJob *job );

private:

    void writeOutline( const KRss::FeedCollection &feed );

private:

    ExportOpmlJobPrivate * const d;
};

#endif // KRSS_EXPORTOPMLJOB_H
