/*
    Copyright (C) 2009    Frank Osterfeld <osterfeld@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSS_IMPORTITEMSJOB_H
#define KRSS_IMPORTITEMSJOB_H

#include "itemimportreader.h"

#include <akonadi/item.h>
#include <akonadi/collection.h>

#include <KJob>

#include <QFile>
#include <QString>

class ImportItemsJob : public KJob {
    Q_OBJECT
public:

    enum Error {
        CouldNotOpenFileFailed = KJob::UserDefinedError,
        ItemSyncFailed
    };

    explicit ImportItemsJob( const Akonadi::Collection& coll, QObject* parent=0 );
    ~ImportItemsJob();

    void setSourceFile( const QString& file );

    /* reimp */ void start();

private:
    void syncItems( const Akonadi::Item::List& items );

private Q_SLOTS:
    void doStart();
    void readBatch();
    void syncDone( KJob* );

private:
    Akonadi::Collection m_collection;
    QString m_fileName;
    QFile m_file;
    ItemImportReader* m_reader;
};

#endif // KRSS_IMPORTITEMSJOB_H
