/*
    Copyright (C) 2009    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "newsgatorbackend.h"
#include "newsgatorjobs.h"

using namespace Newsgator;

NewsgatorBackend::NewsgatorBackend()
{
}

NewsgatorBackend::~NewsgatorBackend()
{
}

void NewsgatorBackend::setUserName( const QString& userName )
{
    m_userName = userName;
}

QString NewsgatorBackend::userName() const
{
    return m_userName;
}

void NewsgatorBackend::setPassword( const QString& password )
{
    m_password = password;
}

QString NewsgatorBackend::password() const
{
    return m_password;
}

void NewsgatorBackend::setLocation( const Location& location )
{
    m_location = location;
}

Location NewsgatorBackend::location() const
{
    return m_location;
}

FeedsRetrieveJob* NewsgatorBackend::feedsRetrieveJob() const
{
    NewsgatorFeedsRetrieveJob *job = new NewsgatorFeedsRetrieveJob();
    job->setUserName( m_userName );
    job->setPassword( m_password );
    job->setLocation( m_location );
    return job;
}

FeedCreateJob* NewsgatorBackend::feedCreateJob() const
{
    NewsgatorFeedCreateJob *job = new NewsgatorFeedCreateJob();
    job->setUserName( m_userName );
    job->setPassword( m_password );
    job->setLocation( m_location );
    return job;
}

FeedModifyJob* NewsgatorBackend::feedModifyJob() const
{
    NewsgatorFeedModifyJob *job = new NewsgatorFeedModifyJob();
    job->setUserName( m_userName );
    job->setPassword( m_password );
    job->setLocation( m_location );
    return job;
}

/*FeedDeleteJob* NewsgatorBackend::feedDeleteJob() const
{
    NewsgatorFeedDeleteJob *job = new NewsgatorFeedDeleteJob();
    job->setUserName( m_userName );
    job->setPassword( m_password );
    job->setLocation( m_location );
    return job;
}*/
