/*
    Copyright (C) 2009    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSS_NEWSGATORBACKEND_NEWSGATORBACKEND_H
#define KRSS_NEWSGATORBACKEND_NEWSGATORBACKEND_H

#include "rssbackend.h"
#include "location.h"

#include <QtCore/QString>

namespace Newsgator
{

class NewsgatorBackend : public RssBackend
{
public:
    explicit NewsgatorBackend();
    ~NewsgatorBackend();

    void setUserName( const QString& userName );
    QString userName() const;
    void setPassword( const QString& password );
    QString password() const;
    void setLocation( const Location& location );
    Location location() const;

    FeedsRetrieveJob* feedsRetrieveJob() const;
    FeedCreateJob* feedCreateJob() const;
    FeedModifyJob* feedModifyJob() const;
    //FeedDeleteJob* feedDeleteJob() const;

private:
    QString m_userName;
    QString m_password;
    Location m_location;
};

} // namespace Newsgator

#endif // KRSS_NEWSGATORBACKEND_H
