/*
    Copyright (C) 2009    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "newsgatorrssresource.h"
#include "newsgatorbackend/settingsdialog.h"

#include <KDE/KDebug>

using namespace KRss;
using namespace Newsgator;

NewsgatorRssResource::NewsgatorRssResource( const QString& id )
    : RssResourceBase( id )
{
}

void NewsgatorRssResource::configure( WId windowId )
{
    Q_UNUSED( windowId );

    SettingsDialog *dialog = new SettingsDialog();
    if ( dialog->exec() ) {
        kDebug() << "Location:" << dialog->location().name << ", id:" << dialog->location().id;
        m_newsgatorBackend = new NewsgatorBackend();
        m_newsgatorBackend->setUserName( dialog->userName() );
        m_newsgatorBackend->setPassword( dialog->password() );
        m_newsgatorBackend->setLocation( dialog->location() );
        synchronizeCollectionTree();
    }
}

FeedCollection NewsgatorRssResource::rootCollection() const
{
    return m_rootCollection;
}

const RssBackend* NewsgatorRssResource::rssBackend() const
{
    return m_newsgatorBackend;
}

AKONADI_RESOURCE_MAIN( NewsgatorRssResource )

#include "newsgatorrssresource.moc"
