/*
    Copyright (C) 2009    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSS_RSSBACKEND_H
#define KRSS_RSSBACKEND_H

class FeedsRetrieveJob;
class FeedCreateJob;
class FeedModifyJob;
//class FeedDeleteJob;

#include <QtCore/QObject>

class RssBackend
{
public:
    explicit RssBackend();

    virtual FeedsRetrieveJob* feedsRetrieveJob() const = 0;
    virtual FeedCreateJob* feedCreateJob() const = 0;
    virtual FeedModifyJob* feedModifyJob() const = 0;
    //virtual FeedDeleteJob* feedDeleteJob() const = 0;

protected:
    virtual ~RssBackend();
    Q_DISABLE_COPY( RssBackend )
};

#endif // KRSS_RSSBACKEND_H
